!
!	The system we're building
!
MEM = [.MANUAL]
HLB = [.HELP_LIB]
!
system depends_on makedir, $(HLB)cswing.hlb, $(MEM)swing_manual.mem
    dir/date/siz $(HLB)cswing.hlb;,$(MEM)swing_manual.mem;
!
makedir :
   @ if f$search("manual.dir") .eqs. "" then create/dir [.manual]
   @ if f$search("help_lib.dir") .eqs. "" then create/dir [.help_lib]
!
! help file
!
$(HLB)cswing.hlb depends_on $(HLB)cswing.hlp
    @ libr/create=(blocks:80)/help $(HLB)cswing.hlb
    libr/repl $(HLB)cswing.hlb $(HLB)cswing.hlp
    @ purge /noconf/nolog/keep=1 $(HLB)cswing.hlb
    @ delete/noconfirm/nolog $(HLB)cswing.hlp;*
!
$(HLB)cswing.hlp depends_on swing.rno
    runoff swing.rno/output=$(HLB)cswing.hlp
!
! manual
!
$(MEM)swing_manual.mem depends_on swing_manual.rno
    @ if f$search("swing_manual.rnt") .eqs. "" then -
         copy/nolog nl: swing_manual.rnt
    runoff/intermediate=$(MEM)swing_manual.brn/output=nl: swing_manual.rno
    runoff/contents/output=swing_manual.rnt $(MEM)swing_manual.brn
    runoff swing_manual.rno/bold=3/right=6 /output=$(MEM)swing_manual.mem
    @ purge /noconfirm/keep=1/nolog $(MEM)*.*
    @ delete/nolog/noconfirm swing_manual.rnt;*,$(MEM)swing_manual.brn;*
